View Issue Details

IDProjectCategoryLast Update
0021207AI War 2[All Projects] Gameplay IssueMay 17, 2019 9:03 pm
ReporterDEMOCRACY_DEMOCRACYAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBETA 0.859 Lobby Raid 
Fixed in VersionBETA 0.860 The Lobby Ate My Factions?? 
Summary0021207: Simple map type has an error occured popup
Descriptionevery time i try to get a new seed, an error pops up.
TagsNo tags attached.

Activities

DEMOCRACY_DEMOCRACY

May 15, 2019 5:39 pm

reporter  

20190515143144_1.jpg (218,909 bytes)
20190515143144_1.jpg (218,909 bytes)

Mckloshiv

May 15, 2019 5:53 pm

reporter   ~0051609

The rest of the exception if needed:
Exception when checking for sim step: System.ArgumentOutOfRangeException: Index was out of range. Must be non-negative and less than the size of the collection.
Parameter name: index
  at System.ThrowHelper.ThrowArgumentOutOfRangeException (System.ExceptionArgument argument, System.ExceptionResource resource) [0x00029] in <1f0c1ef1ad524c38bbc5536809c46b48>:0
  at System.ThrowHelper.ThrowArgumentOutOfRangeException () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0
  at System.Collections.Generic.List`1[T].RemoveAt (System.Int32 index) [0x00009] in <1f0c1ef1ad524c38bbc5536809c46b48>:0
  at Arcen.AIW2.External.GameCommand_SetupOnly_RequestSetupChanges.dFactionType_Remove (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x0003d] in <3ffecc83c24e447ab8bd0e8e772285c7>:0
  at Arcen.AIW2.External.GameCommand_SetupOnly_RequestSetupChanges.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002b2] in <3ffecc83c24e447ab8bd0e8e772285c7>:0
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <398f6d7bd0f14fee907a7b0139fb0549>:0
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00123] in <398f6d7bd0f14fee907a7b0139fb0549>:0
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00525] in <3ffecc83c24e447ab8bd0e8e772285c7>:0
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001f8] in <398f6d7bd0f14fee907a7b0139fb0549>:0
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00268] in <daae57fd965b4c99b7b5978c4985087f>:0
Stack Trace: at System.ThrowHelper.ThrowArgumentOutOfRangeException (System.ExceptionArgument argument, System.ExceptionResource resource) [0x00029] in <1f0c1ef1ad524c38bbc5536809c46b48>:0
  at System.ThrowHelper.ThrowArgumentOutOfRangeException () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0
  at System.Collections.Generic.List`1[T].RemoveAt (System.Int32 index) [0x00009] in <1f0c1ef1ad524c38bbc5536809c46b48>:0
  at Arcen.AIW2.External.GameCommand_SetupOnly_RequestSetupChanges.dFactionType_Remove (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x0003d] in <3ffecc83c24e447ab8bd0e8e772285c7>:0
  at Arcen.AIW2.External.GameCommand_SetupOnly_RequestSetupChanges.Execute (Arcen.AIW2.Core.GameCommand command, Arcen.AIW2.Core.ArcenSimContext context) [0x002b2] in <3ffecc83c24e447ab8bd0e8e772285c7>:0
  at Arcen.AIW2.Core.GameCommand.Execute (Arcen.AIW2.Core.ArcenSimContext Context) [0x00053] in <398f6d7bd0f14fee907a7b0139fb0549>:0
  at Arcen.AIW2.Core.World_AIW2.OnClient_ExecuteGameCommandsReceivedFromServer (Arcen.AIW2.Core.ArcenSimContext Context) [0x00123] in <398f6d7bd0f14fee907a7b0139fb0549>:0
  at Arcen.AIW2.External.SimPlannerImplementation.DoActualSimStep (System.Boolean& stalledWaitingOnConnections, System.Boolean& mayUpdateVisuals) [0x00525] in <3ffecc83c24e447ab8bd0e8e772285c7>:0
  at Arcen.AIW2.Core.Engine_AIW2.ProcessSimStep (System.Boolean& stalledWaitingOnConnections) [0x001f8] in <398f6d7bd0f14fee907a7b0139fb0549>:0
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00268] in <daae57fd965b4c99b7b5978c4985087f>:0


  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <daae57fd965b4c99b7b5978c4985087f>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <daae57fd965b4c99b7b5978c4985087f>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <daae57fd965b4c99b7b5978c4985087f>:0
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <daae57fd965b4c99b7b5978c4985087f>:0
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause) [0x00000] in <daae57fd965b4c99b7b5978c4985087f>:0
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <daae57fd965b4c99b7b5978c4985087f>:0
  at ArcenGameController.Update () [0x00000] in <03f6f117f10f4b26a85c658813aeb19b>:0

x4000Bughunter

May 16, 2019 9:49 am

administrator   ~0051619

DEMOCRACY_DEMOCRACY: I can duplicate this, thanks!

Mckloshiv: That seems related to the 0021165 issue. Are you seeing this relating to the simple map type choice as well?

x4000Bughunter

May 16, 2019 10:00 am

administrator   ~0051621

Thanks!

* Improved the lobby error messaging when it can't find a custom field for a map type so that it now says what it was looking for. Helpful for anyone making custom map types.

* Fixed a bug in the Simple map type where it was trying to look at a setting for the realistic map type (and then not even use it) and thus was throwing an error now that the settings are per-map-type rather than being stored in the global central settings file.

x4000Bughunter

May 16, 2019 10:04 am

administrator   ~0051622

Also thanks:

* In the "remove a faction" bit of code, it now throws a cleaner and more informative error if for some reason it's out of range. It doesn't fix the problem, but should help us fix the problem in the future if we don't find it in the meantime.

Mckloshiv

May 16, 2019 4:28 pm

reporter   ~0051636

Sorry, I forgot that was happening aswell (the 0021165 issue), and must've pasted in the wrong section of the log ^.^' I don't believe it's actually related to the simple map (and clusters microcosm) type choice.

x4000Bughunter

May 17, 2019 9:03 pm

administrator   ~0051681

No worries. I appreciate it!

Issue History

Date Modified Username Field Change
May 15, 2019 5:39 pm DEMOCRACY_DEMOCRACY New Issue
May 15, 2019 5:39 pm DEMOCRACY_DEMOCRACY File Added: 20190515143144_1.jpg
May 15, 2019 5:53 pm Mckloshiv Note Added: 0051609
May 16, 2019 9:49 am x4000Bughunter Note Added: 0051619
May 16, 2019 10:00 am x4000Bughunter Assigned To => x4000Bughunter
May 16, 2019 10:00 am x4000Bughunter Status new => resolved
May 16, 2019 10:00 am x4000Bughunter Resolution open => fixed
May 16, 2019 10:00 am x4000Bughunter Fixed in Version => BETA 0.860 The Lobby Ate My Factions??
May 16, 2019 10:00 am x4000Bughunter Note Added: 0051621
May 16, 2019 10:04 am x4000Bughunter Note Added: 0051622
May 16, 2019 4:28 pm Mckloshiv Note Added: 0051636
May 17, 2019 9:03 pm x4000Bughunter Note Added: 0051681